ReplicationManagerStats (Oracle - Berkeley DB Java API)
Date: 2018-05-29

com.sleepycat.db

## Class ReplicationManagerStats

- java.lang.Object
- - com.sleepycat.db.ReplicationManagerStats

-     public class ReplicationManagerStats
      extends java.lang.Object

  Replication Manager statistics for a database environment.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getConnectFail()` The number of times an attempt to open a new TCP/IP connection failed.
    `long` | `getConnectionDrop()` The number of existing connections that have been dropped since the statistics were last reset.
    `int` | `getElectThreads()` Number of currently active election threads.
    `int` | `getGroupStableLogFile()` Earliest log file still needed by repgroup.
    `long` | `getIncomingMsgsDropped()` The number of incoming messages that were dropped because the incoming queue was full.
    `int` | `getIncomingQueueBytes()` Bytes component of the memory consumption for the messages currently in the incoming queue.
    `int` | `getIncomingQueueGbytes()` Gigabytes component of the memory consumption for the messages currently in the incoming queue.
    `int` | `getMaxElectThreads()` The number of election threads for which space is reserved.
    `long` | `getMsgsDropped()` The number of outgoing messages that were dropped, because the outgoing message queue was full.
    `long` | `getMsgsQueued()` The number of outgoing messages which could not be transmitted immediately, due to a full network buffer, and had to be queued for later delivery.
    `long` | `getPermFailed()` The number of times a message critical for maintaining database integrity (for example, a transaction commit), originating at this site, did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout
    `int` | `getPollingMethod()` Polling method.
    `int` | `getSiteParticipants()` Number of replication group participant sites.
    `int` | `getSiteTotal()` Total number of replication group sites.
    `int` | `getSiteViews()` Number of replication group view sites.
    `long` | `getTakeovers()` The number of times a subordinate process took over as the replication process after a previous replication process has finished successfully.
    `long` | `getWriteOpsForwarded()` The number of write operations forwarded.
    `long` | `getWriteOpsReceived()` The number of write operations received.
    `java.lang.String` | `toString()` For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPermFailed

          public long getPermFailed()

      The number of times a message critical for maintaining database integrity (for example, a transaction commit), originating at this site, did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout
      Returns:
        the number of times a message critical for maintaining database integrity (for example, a transaction commit), originating at this site, did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout

    - #### getMsgsQueued

          public long getMsgsQueued()

      The number of outgoing messages which could not be transmitted immediately, due to a full network buffer, and had to be queued for later delivery.
      Returns:
        the number of outgoing messages which could not be transmitted immediately, due to a full network buffer, and had to be queued for later delivery

    - #### getMsgsDropped

          public long getMsgsDropped()

      The number of outgoing messages that were dropped, because the outgoing message queue was full. (Berkeley DB replication is tolerant of dropped messages, and will automatically request retransmission of any missing messages as needed.)
      Returns:
        the number of outgoing messages that were dropped, because the outgoing message queue was full

    - #### getIncomingQueueGbytes

          public int getIncomingQueueGbytes()

      Gigabytes component of the memory consumption for the messages currently in the incoming queue.
      Returns:
        gigabytes component of the memory consumption for the messages currently in the incoming queue

    - #### getIncomingQueueBytes

          public int getIncomingQueueBytes()

      Bytes component of the memory consumption for the messages currently in the incoming queue.
      Returns:
        bytes component of the memory consumption for the messages currently in the incoming queue

    - #### getIncomingMsgsDropped

          public long getIncomingMsgsDropped()

      The number of incoming messages that were dropped because the incoming queue was full. (Berkeley DB replication is tolerant of dropped messages, and will automatically request retransmission of any missing messages as needed.)
      Returns:
        the number of incoming messages that were dropped because the incoming queue was full

    - #### getConnectionDrop

          public long getConnectionDrop()

      The number of existing connections that have been dropped since the statistics were last reset.
      Returns:
        the number of existing connections that have been dropped since the statistics were last reset

    - #### getConnectFail

          public long getConnectFail()

      The number of times an attempt to open a new TCP/IP connection failed.
      Returns:
        the number of times an attempt to open a new TCP/IP connection failed

    - #### getElectThreads

          public int getElectThreads()

      Number of currently active election threads.
      Returns:
        number of currently active election threads

    - #### getGroupStableLogFile

          public int getGroupStableLogFile()

      Earliest log file still needed by repgroup.
      Returns:
        earliest log file still needed by repgroup.

    - #### getMaxElectThreads

          public int getMaxElectThreads()

      The number of election threads for which space is reserved.
      Returns:
        the number of election threads for which space is reserved

    - #### getSiteParticipants

          public int getSiteParticipants()

      Number of replication group participant sites.
      Returns:
        number of replication group participant sites

    - #### getSiteTotal

          public int getSiteTotal()

      Total number of replication group sites.
      Returns:
        total number of replication group sites

    - #### getSiteViews

          public int getSiteViews()

      Number of replication group view sites.
      Returns:
        number of replication group view sites

    - #### getPollingMethod

          public int getPollingMethod()

      Polling method.
      Returns:
        polling method. 1=select, 2=poll, 3=epoll.

    - #### getTakeovers

          public long getTakeovers()

      The number of times a subordinate process took over as the replication process after a previous replication process has finished successfully.
      Returns:
        the number of times a subordinate process took over as the replication process after a previous replication process has finished successfully

    - #### getWriteOpsForwarded

          public long getWriteOpsForwarded()

      The number of write operations forwarded.
      Returns:
        the number of write operations forwarded

    - #### getWriteOpsReceived

          public long getWriteOpsReceived()

      The number of write operations received.
      Returns:
        the number of write operations received

    - #### toString

          public java.lang.String toString()

      For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a String that lists all the data fields

Copyright (c) 1996, 2018 Oracle and/or its affiliates. All rights reserved.